: Class PjScriptException

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.etymon.pj.exception
Class PjScriptException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--com.etymon.pj.exception.PjException
                        |
                        +--com.etymon.pj.exception.PjScriptException

All Implemented Interfaces:
  java.io.Serializable

public class PjScriptException
extends PjException

An exception that gets thrown by PjScript.

See Also:
  Serialized Form

Constructor Summary
`PjScriptException(java.lang.String message, int lineNumber, java.lang.String source, int errorType)` Creates a PjScriptException with detailed arguments.

Method Summary
`int` | `getErrorType()`
`java.lang.String` | `getFullMessage()`
`int` | `getLineNumber()`
`java.lang.String` | `getMessage()`
`java.lang.String` | `getSource()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PjScriptException

    public PjScriptException(java.lang.String message,
                             int lineNumber,
                             java.lang.String source,
                             int errorType)

  Creates a PjScriptException with detailed arguments.
  Parameters:
    `message` - a detailed message.
    `lineNumber` - the line number in the script where the exception occurred.
    `source` - the file or program where the script originated.
    `errorType` - the general class of error.

Method Detail

### getMessage

    public java.lang.String getMessage()

  Overrides:
    `getMessage` in class `java.lang.Throwable`

### getLineNumber

    public int getLineNumber()

### getSource

    public java.lang.String getSource()

### getErrorType

    public int getErrorType()

### getFullMessage

    public java.lang.String getFullMessage()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD